description

# Index class Null safety

Annotations
  - @Unstable()
  - @Native("IDBIndex")

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
keyPath → Object?
  @annotation_Creates_SerializedScriptValue, read-only
multiEntry → bool?
  read-only
name ↔ String?
  read / write
objectStore → ObjectStore?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
unique → bool?
  read-only

## Methods

count([dynamic key_OR_range]) → Future<int>
get(dynamic key) → Future
getAll(Object? query, [int? count]) → Request
getAllKeys(Object? query, [int? count]) → Request
getKey(dynamic key) → Future
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
openCursor({dynamic key, KeyRange? range, String? direction, bool? autoAdvance}) → Stream<CursorWithValue>
  Creates a stream of cursors over the records in this object store. [...]
openKeyCursor({dynamic key, KeyRange? range, String? direction, bool? autoAdvance}) → Stream<Cursor>
  Creates a stream of cursors over the records in this object store. [...]
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited